libmwaw::Debug Namespace Reference

debugging tools More...

## Functions

bool | dumpFile (WPXBinaryData &data, char const *fileName)
| a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing) More...
std::string | flattenFileName (std::string const &name)
| returns a file name from an ole/... name More...

## Detailed Description

debugging tools

## Function Documentation

bool libmwaw::Debug::dumpFile | ( | WPXBinaryData & | data,
|  | char const * | fileName
| ) |  |

a debug function to store in a datafile in the current directory WARNING: this function erase the file fileName if it exists (if debug_with_files is not defined, does nothing)

Referenced by MWAWPictMac::convertPict1To2(), EDParser::decodeZone(), MSKGraphInternal::DataPict::getBinaryData(), MSKGraph::getEntryPicture(), MWAWOLEParser::parse(), MWAWRSRCParser::parsePICT(), MSKGraph::readChart(), ZWParser::readCPRT(), MRWParser::readCPRT(), CWParser::readCPRT(), MCDParser::readFile(), MWParser::readGraphic(), MORParser::readGraphic(), CWGraph::readNamedPict(), CWGraph::readOLE(), CWGraph::readPictData(), MSWParser::readPicture(), MRWGraph::readPostscript(), CWGraph::readPS(), CWParser::readSNAP(), CWParser::readZone(), libmwaw_applepict1::Bitmap::saveBitmap(), libmwaw_applepict1::Pixmap::savePixmap(), ACText::sendGraphic(), FWGraph::sendGraphic(), LWGraph::sendJPEG(), BWParser::sendPicture(), MRWGraph::sendPicture(), GWGraph::sendPicture(), HMWKGraph::sendPicture(), WNParser::sendPicture(), MWProParser::sendPicture(), CWGraph::sendPicture(), HMWJGraph::sendPictureFrame(), and MRWGraph::sendPSZone().

std::string libmwaw::Debug::flattenFileName | ( | std::string const & | name | ) |

returns a file name from an ole/... name

Referenced by dumpFile(), libmwaw::DebugFile::open(), and MSK4Zone::setAscii().